gsw_C_from_SP {gsw} | R Documentation

## Electrical Conductivity from Practical Salinity

### Description

Electrical conductivity (in mS/cm) from Practical Salinity. To convert the return value to conductivity ratio, divide by 42.9140 (the value of conductivity at S=35, T68=15, and p=0).

### Usage

    gsw_C_from_SP(SP, t, p)

### Arguments

`SP` | Practical Salinity (PSS-78) [ unitless ]
`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

electrical conductivity [ mS/cm ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_C_from_SP.html

### See Also

Other things related to salinity: `gsw_SA_from_SP_Baltic`, `gsw_SA_from_SP`, `gsw_SA_from_Sstar`, `gsw_SP_from_C`, `gsw_SP_from_SA`, `gsw_SP_from_SK`, `gsw_SP_from_SR`, `gsw_SP_from_Sstar`, `gsw_SR_from_SP`, `gsw_Sstar_from_SA`, `gsw_Sstar_from_SP`, `gsw_deltaSA_from_SP`

Other things related to conductivity: `gsw_SP_from_C`

### Examples

    SP <- c(34.5487, 34.7275, 34.8605, 34.6810, 34.5680, 34.5600)
    t <- c( 28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p <- c(      10,      50,     125,     250,     600,    1000)
    C <- gsw_C_from_SP(SP, t, p)
    expect_equal(C, c(56.412599581571186, 56.316185602699953, 50.670369333973944,
                      38.134518936104350, 35.056577637635257, 32.986550607990118))

[Package gsw version 1.0-5 Index]